<?php
/**
 * This is the entrypoint for the locrMAPS WordPress plugin.
 *
 * @package locrMAPS
 *
 * Plugin Name:       locrMAPS
 * Description:       This plugin provides a Gutenberg-Block and Shortcode to display a map.
 * Requires at least: 6.5
 * Requires PHP:      8.1
 * Version:           0.5.5
 * Author:            locr GmbH
 * Author URI:        https://locr.com
 * License:           GPL-2.0-or-later
 * License URI:       https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain:       locrmaps-textdomain
 * Domain Path:       /src/languages
 *
 * It needs at least WordPress 6.5, because of the 'wp_enqueue_script_module' function.
 * It needs at least PHP 8.0, because of the 'Named Parameters', that this plugin uses.
 */

declare( strict_types = 1 );

use Locr\WordPress\Plugin\LocrMaps\Plugin;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

require_once __DIR__ . DIRECTORY_SEPARATOR . 'src' . DIRECTORY_SEPARATOR . 'autoload.php';

Plugin::init();
